Open Bug 1542525 Opened 8 months ago Updated 20 days ago

Intermittent org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject | status -2

Categories

(GeckoView :: General, defect, P5)

Unspecified
Android
defect

Tracking

(firefox66 wontfix, firefox67 wontfix, firefox68 wontfix, firefox69 wontfix, firefox70 wontfix, firefox71 fix-optional)

Tracking Status
firefox66 --- wontfix
firefox67 --- wontfix
firefox68 --- wontfix
firefox69 --- wontfix
firefox70 --- wontfix
firefox71 --- fix-optional

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug, Regression)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [retriggered][stockwell disabled])

Attachments

(3 files)

#[markdown(off)]
Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=238575217&repo=try

https://queue.taskcluster.net/v1/task/PxEaSbVJTAGOpuZrhfkB8Q/runs/0/artifacts/public/logs/live_backing.log

[task 2019-04-06T12:49:21.423Z] 12:49:21 INFO - TEST-START | org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject
[task 2019-04-06T12:49:28.039Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-06T12:49:28.040Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=45

[task 2019-04-06T12:49:28.066Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=notification_reject
[task 2019-04-06T12:49:28.067Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-04-06T12:49:28.067Z] 12:49:28 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject | status -2
[task 2019-04-06T12:49:28.068Z] 12:49:28 INFO - TEST-INFO took 6625ms
[task 2019-04-06T12:49:28.068Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-06T12:49:28.069Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=46
[task 2019-04-06T12:49:28.069Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-04-06T12:49:28.070Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-06T12:49:28.070Z] 12:49:28 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-04-06T12:49:28.071Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=70
[task 2019-04-06T12:49:28.071Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=saveAndRestoreState
[task 2019-04-06T12:49:28.072Z] 12:49:28 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

There are 16 total failures in the last 7 days on android-em-4-3-armv7-api16 debug and one on pgo.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=238935270&repo=autoland&lineNumber=2974

[task 2019-04-08T22:49:01.841Z] 22:49:01 INFO - TEST-START | org.mozilla.geckoview.test.PermissionDelegateTest.notification
[task 2019-04-08T22:49:05.351Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-08T22:49:05.351Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=92
[task 2019-04-08T22:49:05.351Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.PermissionDelegateTest
[task 2019-04-08T22:49:05.352Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-08T22:49:05.352Z] 22:49:05 INFO - org.mozilla.geckoview.test | Error in notification(org.mozilla.geckoview.test.PermissionDelegateTest):
[task 2019-04-08T22:49:05.352Z] 22:49:05 INFO - org.mozilla.geckoview.test | java.lang.AssertionError: Cannot find Promise

[task 2019-04-08T22:49:05.374Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=notification
[task 2019-04-08T22:49:05.374Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-04-08T22:49:05.375Z] 22:49:05 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.notification | status -2
[task 2019-04-08T22:49:05.375Z] 22:49:05 INFO - TEST-INFO took 3529ms
[task 2019-04-08T22:49:05.375Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-08T22:49:05.376Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=93
[task 2019-04-08T22:49:05.376Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-04-08T22:49:05.376Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-08T22:49:05.377Z] 22:49:05 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-04-08T22:49:05.377Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=156
[task 2019-04-08T22:49:05.377Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=saveAndRestoreState
[task 2019-04-08T22:49:05.378Z] 22:49:05 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

This seems to have started with Bug 1531531, Randall, can you take a look?

Retriggered range:

https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=android%2C4.3%2Capi16%2B%2Cdebug%2Ctest-android-em-4.3-arm7-api-16%2Fdebug-geckoview-junit-e10s-5%2C%28gv-junit5%29&fromchange=4058cdcc2f179e34a5bc6e24044a31f122e2fdff&tochange=161cd9e81d7104807d1e8a68933ca28bed1f2e8c&selectedJob=238962337

Flags: needinfo?(rbarker)
Whiteboard: [retriggered][stockwell needswork]

The issue looks like a bug in the Promise code. This is the actual error causing the failure:

04-06 05:42:40.332  1054  1067 I Gecko   : console.error: "TypeError: this._navigationLifetimePool.cleanup is not a function: PromisesActor<._onWindowReady<@resource://devtools/server/actors/promises.js:194:34\nexpectState/<@resource://devtools/server/actors/common.js:213:23\nemit@resource://devtools/shared/event-emitter.js:186:24\nemit@resource://devtools/shared/event-emitter.js:267:18\n_windowReady@resource://devtools/server/actors/targets/browsing-context.js:1277:10\nDebuggerProgressListener.prototype.onWindowCreated<@resource://devtools/server/actors/targets/browsing-context.js:1593:23\nexports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22\n"

After that error occurs, JavaScript Promises no longer work until Gecko is restarted.

Flags: needinfo?(rbarker)
Depends on: 1540314
Priority: P5 → P3

There are 29 total failures in the last 7 days on android-em-4-3-armv7-api16 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=242146182&repo=autoland&lineNumber=2204

[task 2019-04-23T21:33:24.838Z] 21:33:24 INFO - TEST-START | org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject
[task 2019-04-23T21:33:34.356Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-23T21:33:34.357Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=45
[task 2019-04-23T21:33:34.359Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.PermissionDelegateTest
[task 2019-04-23T21:33:34.360Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-23T21:33:34.360Z] 21:33:34 INFO - org.mozilla.geckoview.test | Error in notification_reject(org.mozilla.geckoview.test.PermissionDelegateTest):
[task 2019-04-23T21:33:34.360Z] 21:33:34 INFO - org.mozilla.geckoview.test | java.lang.AssertionError: Cannot find Promise
[task 2019-04-23T21:33:34.361Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2070)
[task 2019-04-23T21:33:34.361Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2022)
[task 2019-04-23T21:33:34.361Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForJS(GeckoSessionTestRule.java:2090)
[task 2019-04-23T21:33:34.361Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.BaseSessionTest.waitForJS(BaseSessionTest.kt:158)
[task 2019-04-23T21:33:34.362Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject(PermissionDelegateTest.kt:240)
[task 2019-04-23T21:33:34.362Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-23T21:33:34.363Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-23T21:33:34.363Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-04-23T21:33:34.363Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-04-23T21:33:34.365Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-04-23T21:33:34.367Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-04-23T21:33:34.368Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-04-23T21:33:34.369Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2019-04-23T21:33:34.371Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-23T21:33:34.371Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)

[task 2019-04-23T21:33:34.372Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Looper.loop(Looper.java:137)
[task 2019-04-23T21:33:34.372Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-04-23T21:33:34.373Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-23T21:33:34.373Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-23T21:33:34.373Z] 21:33:34 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-04-23T21:33:34.374Z] 21:33:34 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-04-23T21:33:34.374Z] 21:33:34 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-04-23T21:33:34.375Z] 21:33:34 INFO - org.mozilla.geckoview.test |
[task 2019-04-23T21:33:34.375Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=71
[task 2019-04-23T21:33:34.375Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=java.lang.AssertionError: Cannot find Promise
[task 2019-04-23T21:33:34.375Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2070)
[task 2019-04-23T21:33:34.376Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2022)
[task 2019-04-23T21:33:34.376Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForJS(GeckoSessionTestRule.java:2090)
[task 2019-04-23T21:33:34.377Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.BaseSessionTest.waitForJS(BaseSessionTest.kt:158)
[task 2019-04-23T21:33:34.377Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject(PermissionDelegateTest.kt:240)
[task 2019-04-23T21:33:34.378Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-23T21:33:34.378Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-23T21:33:34.378Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-04-23T21:33:34.379Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-04-23T21:33:34.379Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-04-23T21:33:34.380Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-04-23T21:33:34.380Z] 21:33:34 INFO - org.mozilla.geckoview.test | at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-04-23T21:33:34.381Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)

[task 2019-04-23T21:33:34.381Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-04-23T21:33:34.381Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-04-23T21:33:34.382Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.os.Looper.loop(Looper.java:137)
[task 2019-04-23T21:33:34.382Z] 21:33:34 INFO - org.mozilla.geckoview.test | at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-04-23T21:33:34.383Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-04-23T21:33:34.383Z] 21:33:34 INFO - org.mozilla.geckoview.test | at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-04-23T21:33:34.383Z] 21:33:34 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-04-23T21:33:34.384Z] 21:33:34 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-04-23T21:33:34.384Z] 21:33:34 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-04-23T21:33:34.385Z] 21:33:34 INFO - org.mozilla.geckoview.test |
[task 2019-04-23T21:33:34.385Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=notification_reject
[task 2019-04-23T21:33:34.385Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-04-23T21:33:34.385Z] 21:33:34 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject | status -2
[task 2019-04-23T21:33:34.386Z] 21:33:34 INFO - TEST-INFO took 9535ms
[task 2019-04-23T21:33:34.386Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-04-23T21:33:34.386Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=46
[task 2019-04-23T21:33:34.386Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-04-23T21:33:34.387Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-04-23T21:33:34.387Z] 21:33:34 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-04-23T21:33:34.387Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=71
[task 2019-04-23T21:33:34.387Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=saveAndRestoreState
[task 2019-04-23T21:33:34.387Z] 21:33:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

Chris, could you please assign this to someone?

Flags: needinfo?(cpeterson)
Whiteboard: [retriggered][stockwell needswork] → [retriggered][stockwell needswork:owner]

Clearing bug priority so the GeckoView team will review this bug in tomorrow's bug triage meeting.

Flags: needinfo?(cpeterson)
OS: All → Android
Priority: P3 → --

Didn't we already triage it. The problem is a bug in Javascript Promise code from what I remember.

James will fix Promise detach bug 1540314 that should help this test failure.

Priority: -- → P1

This bug failed 33 times in the last 7 days. Occurs on android-em-4-3-armv7-api16 on debug build types.

Recent log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=245830452&repo=autoland&lineNumber=2170

In the last 7 days there have been 32 occurrences on android-em-4-3-armv7-api16 build type debug.

This bug failed 33 times in the last 7 days. Occurs on android-em-4-3-armv7-api16 on debug build types.

Log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=252142333&repo=autoland&lineNumber=2219

In the last 7 days there were 33 failures associated with this bug.
Occurs on android-em-4-3-armv7-api16 on debug build type.

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=254108591&repo=autoland&lineNumber=2182

[task 2019-06-29T21:47:44.871Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-06-29T21:47:44.871Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-06-29T21:47:44.871Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2019-06-29T21:47:44.872Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2019-06-29T21:47:44.872Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2019-06-29T21:47:44.872Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2019-06-29T21:47:44.872Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1422)
[task 2019-06-29T21:47:44.872Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2019-06-29T21:47:44.873Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2019-06-29T21:47:44.873Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2019-06-29T21:47:44.873Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2019-06-29T21:47:44.873Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2019-06-29T21:47:44.874Z] 21:47:44     INFO -  org.mozilla.geckoview.test |
[task 2019-06-29T21:47:44.875Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=notification_reject
[task 2019-06-29T21:47:44.875Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-06-29T21:47:44.875Z] 21:47:44  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.notification_reject | status -2
[task 2019-06-29T21:47:44.875Z] 21:47:44     INFO -  TEST-INFO took 8924ms
[task 2019-06-29T21:47:44.875Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-06-29T21:47:44.876Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=47
[task 2019-06-29T21:47:44.876Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-06-29T21:47:44.876Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-06-29T21:47:44.876Z] 21:47:44     INFO -  org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-06-29T21:47:44.876Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=72
[task 2019-06-29T21:47:44.877Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=saveAndRestoreState
[task 2019-06-29T21:47:44.877Z] 21:47:44     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

Push to try: https://treeherder.mozilla.org/#/jobs?repo=try&revision=c0dfb9c2851c418aef6fdc518bdd7d4788b0c0f9

This always fails together with TextInputDelegateTest.restartInput_temporaryFocus so I made a disable for both

Pushed by malexandru@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/107e33be912c
Disable PermissionDelegateTest.notification_reject and TextInputDelegateTest.restartInput_temporaryFocus for frequent failures r=jmaher
Keywords: leave-open
Whiteboard: [retriggered][stockwell needswork:owner] → [retriggered][stockwell needswork:owner][stockwell disabled]

I'm editing a bunch of GeckoView bugs. If you'd like to filter all this bugmail, search and destroy emails containing this UUID:

e88a5094-0fc0-4b7c-b7c5-aef00a11dbc9

Priority: P1 → P2

Alvina,
Should we back this out or can you make a quick fix for it?

Flags: needinfo?(awaseem)

Today is my last day of work, so if there is nothing from me by 5 pm EST, please back it out 🙂 I will see what the problem is in the mean time!

Flags: needinfo?(awaseem)
Pushed by jwillcox@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/0c7baeda97b0
Notification reject failing & web notification test fix. r=snorp
Priority: P2 → P5
Whiteboard: [retriggered][stockwell unknown] → [retriggered][stockwell unknown][stockwell needswork:owner]
Attachment #9090975 - Attachment description: Bug 1542525 - disabled PermissionDelegateTest.notification_reject for frequently failing on opd and debug r=gbrown → Bug 1542525 - disable PermissionDelegateTest.notification_reject for frequent failures r=#intermittent-reviewers
Pushed by aiakab@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/94d0169cb657
disable PermissionDelegateTest.notification_reject for frequent failures r=gbrown
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered][stockwell disabled]
You need to log in before you can comment on or make changes to this bug.